"""Shared utilities for dealing with Strings
"""

def strtobool (val):
    """Convert a string representation of truth to true (1) or false (0).

    True values are 'y', 'yes', 't', 'true', 'on', and '1'; false values
    are 'n', 'no', 'f', 'false', 'off', and '0'.  Raises ValueError if
    'val' is anything else.

    NOTE: This is a modified version of strtobool from Python 3.9 distutils.
    """
    lower_val = val.lower()
    if lower_val in ('y', 'yes', 't', 'true', 'on', '1'):
        return 1

    if lower_val in ('n', 'no', 'f', 'false', 'off', '0'):
        return 0

    raise ValueError(f"invalid truth value {val}")
